
<div *ngIf="userGroup">
    <h2><span jhiTranslate="pcidssApp.userGroup.detail.title">User Group</span> {{userGroup.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="pcidssApp.userGroup.name">Name</span></dt>
        <dd>
            <span>{{userGroup.name}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.userGroup.authority">Authority</span></dt>
        <dd>
            <span *ngFor="let authority of userGroup.authorities; let last = last">
                <a [routerLink]="['/authority', authority?.id ]">{{authority.name}}</a>{{last ? '' : ', '}}
            </span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'user-group/'+ userGroup.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
